import React, { Component, Fragment } from 'react';
import { connect } from 'react-redux';

import * as actions from "../actions/staffsAction";

import { bindActionCreators } from "redux";

import LeftMenu from '../container/LeftMenu'
import AllStaffs from "../components/AllStaffs"
import Header from '../container/Header'

class MainPage extends Component {

    componentDidMount() {
        const { getStaffsData } = this.props
        getStaffsData()

    }
    render() {

        const { inputStaffs, isFetching } = this.props
        
        return (

            <Fragment>
                <Header />
                <div className="contentDiv">
                    <LeftMenu />
                    <AllStaffs inputStaffs={inputStaffs} isFetching={isFetching} />
                </div>
            </Fragment>

        );
    }
}

const mapStateToProps = state => ({
    inputStaffs: state.staffs.inputStaffs,
    isFetching: state.staffs.isFetching,
    allCategory: state.addCategory.allCategory,
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);

export default MainPage = connect(
    mapStateToProps,
    mapDispatchToProps
)(MainPage);